[fastify-oas](../README.md) > [ComponentsObject](../interfaces/componentsobject.md)

# Interface: ComponentsObject

## Hierarchy

 [ISpecificationExtension](ispecificationextension.md)

**↳ ComponentsObject**

## Indexable

\[extensionName: `string`\]:&nbsp;`any`
## Index

### Properties

* [callbacks](componentsobject.md#callbacks)
* [examples](componentsobject.md#examples)
* [headers](componentsobject.md#headers)
* [links](componentsobject.md#links)
* [parameters](componentsobject.md#parameters)
* [requestBodies](componentsobject.md#requestbodies)
* [responses](componentsobject.md#responses)
* [schemas](componentsobject.md#schemas)
* [securitySchemes](componentsobject.md#securityschemes)

---

## Properties

<a id="callbacks"></a>

### `<Optional>` callbacks

**● callbacks**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:68*

#### Type declaration

[callback: `string`]: [CallbackObject](callbackobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="examples"></a>

### `<Optional>` examples

**● examples**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:53*

#### Type declaration

[example: `string`]: [ExampleObject](exampleobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="headers"></a>

### `<Optional>` headers

**● headers**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:59*

#### Type declaration

[heaer: `string`]: [HeaderObject](headerobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="links"></a>

### `<Optional>` links

**● links**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:65*

#### Type declaration

[link: `string`]: [LinkObject](linkobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="parameters"></a>

### `<Optional>` parameters

**● parameters**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:50*

#### Type declaration

[parameter: `string`]: [ParameterObject](parameterobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="requestbodies"></a>

### `<Optional>` requestBodies

**● requestBodies**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:56*

#### Type declaration

[request: `string`]: [RequestBodyObject](requestbodyobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="responses"></a>

### `<Optional>` responses

**● responses**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:47*

#### Type declaration

[response: `string`]: [ResponseObject](responseobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="schemas"></a>

### `<Optional>` schemas

**● schemas**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:44*

#### Type declaration

[schema: `string`]: [SchemaObject](schemaobject.md) \| [ReferenceObject](referenceobject.md)

___
<a id="securityschemes"></a>

### `<Optional>` securitySchemes

**● securitySchemes**: *`object`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:62*

#### Type declaration

[securityScheme: `string`]: [SecuritySchemeObject](securityschemeobject.md) \| [ReferenceObject](referenceobject.md)

___

